//+------------------------------------------------------------------+
//|                                                  Entry Order.mq4 |
//|                                                            Dentz |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Dentz"
#property link      "http://www.metaquotes.net"

//--- input parameters

extern double    Lots = 10;
extern double    EntryLimit = 45;
extern double    EntryStop = 9;
extern double    Stop = 45;
extern double    Limit = 40;
extern double MACDOpenLevel=3;
extern double MACDCloseLevel=2;
extern double MATrendPeriod=26;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   //----
double MacdCurrent, MacdPrevious, SignalCurrent;

double SignalPrevious, MaCurrent, MaPrevious;

MacdCurrent=iMACD(NULL,0,12,26,9,PRICE_CLOSE,MODE_MAIN,0);

MacdPrevious=iMACD(NULL,0,12,26,9,PRICE_CLOSE,MODE_MAIN,1);

SignalCurrent=iMACD(NULL,0,12,26,9,PRICE_CLOSE,MODE_SIGNAL,0);

SignalPrevious=iMACD(NULL,0,12,26,9,PRICE_CLOSE,MODE_SIGNAL,1);

MaCurrent=iMA(NULL,0,MATrendPeriod,0,MODE_EMA,PRICE_CLOSE,0);

MaPrevious=iMA(NULL,0,MATrendPeriod,0,MODE_EMA,PRICE_CLOSE,1);


int cnt, ticket, total;
if(Bars<100)
{
Print("bars less than 100");
return(0);
}

total=OrdersTotal();

if(total<1) {
   if(AccountFreeMargin()<(10*Lots))

{

Print("We have no money. Free Margin = ", AccountFreeMargin());

return(0);

}
   
   }
   
if(iClose("EURUSD",PERIOD_H1,1)>iClose("EURUSD",PERIOD_H1,2) && iClose("EURUSD",PERIOD_H1,2)>iClose("EURUSD",PERIOD_H1,3) && MacdCurrent>0 && MacdCurrent<SignalCurrent && MacdPrevious>SignalPrevious && MathAbs(MacdCurrent)<(MACDOpenLevel*Point) && MaCurrent<MaPrevious && OrdersTotal()<5)
{
Print("Coucou");
//Lots=MathRound(AccountBalance()/2500); 
ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+Limit*Point,Bid-Stop*Point,"My order #2",16384,0,Green); 
//ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-Stop*Point,Ask+Limit*Point,"My order #2",16384,0,Green); 
}
//----
   return(0);
  }
//+------------------------------------------------------------------+